[OpenCart] MSU 3 - 500 after upgrade to PHP 5.4

Technical difficulties? Ask for help here.
terilekst
Posts: 1
Joined: Tue Feb 12, 2013 2:50 am

[OpenCart] MSU 3 - 500 after upgrade to PHP 5.4

Postby terilekst » Sun Jan 03, 2016 2:10 pm

Hi

I've just tried to upgrade the PHP version on the server from 5.3 to 5.4. This worked just fine and I also was able to get Zend Guard Loader 6.0 for php 5.4 to work properly:

[root@srv1 lib]# php -v
PHP 5.4.45 (cli) (built: Jan 3 2016 21:49:57)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies
with Zend Guard Loader v3.3, Copyright (c) 1998-2013, by Zend Technologies

Unfortunately, after restarting httpd and verifying that everything worked fine I got a 500 error on the website using MSU. I enabled outputting errors and saw the following error which I can't seem to solve:

Notice: Undefined index: inveoSaveKey in /home/xxx/public_html/index.php on line 167

After reverting back to 5.3 I could still see the Notice being there but at least the website rendered fine again. Is there anything that I need to do with regard to MSU when upgrading to 5.4?

Thanks in advance

inveo
Inveo Support
Posts: 1274
Joined: Sat Feb 02, 2008 12:07 pm
Contact:

Re: [OpenCart] MSU 3 - 500 after upgrade to PHP 5.4

Postby inveo » Sun Jan 03, 2016 4:01 pm

PHP 5.4 support has been added in Magic SEO URLs for OpenCart v1.4.x/1.5.x 4.x branch. We recommend you to upgrade to Magic SEO URLs for OpenCart v1.4.x/1.5.x/2.0.x 5.0. It supports wide range of PHP versions (5.0, 5.1, 5.2, 5.3, 5.4, 5.5 and 5.6) and will work flawlessly with PHP 5.4.